[arch-commits] Commit in xdg-utils/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Jun 1 11:32:19 EDT 2009


    Date: Monday, June 1, 2009 @ 11:32:19
  Author: jgc
Revision: 40970

upgpkg: xdg-utils 1.0.2-2
    Fix manpage location
Depend on sh
Add license

Modified:
  xdg-utils/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-01 15:26:15 UTC (rev 40969)
+++ PKGBUILD	2009-06-01 15:32:19 UTC (rev 40970)
@@ -3,17 +3,20 @@
 
 pkgname=xdg-utils
 pkgver=1.0.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Command line tools that assist applications with a variety of desktop integration tasks."
 arch=(i686 x86_64)
 url="http://portland.freedesktop.org/"
+depends=('sh')
 license=(MIT)
 source=(http://portland.freedesktop.org/download/$pkgname-$pkgver.tgz)
 md5sums=('348a5b91dc66426505022c74a64b2940')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }



More information about the arch-commits mailing list